You are not logged in.

#1 2022-11-08 06:04:39

chuv
Member
Registered: 2022-10-22
Posts: 5

Can't open terminal emulators on hyprland

Just installed Hyprland on arch, when I launch it with wrapper everything works but when i press super+q kitty doesn't launch. I have it installed. When I exec it from tty it says

X11: The DISPLAY environment variable is missing
GLFW initialization failed 

Offline

#2 2022-11-08 06:12:39

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 7,144

Re: Can't open terminal emulators on hyprland

When you exec what? That looks as if whatever you've tried is looking for X, but you're using Wayland, aren't you? Hyprland is a Wayland compositor according to the description.


CLI Paste | How To Ask Questions

Arch Linux | x86_64 | GPT | EFI boot | refind | stub loader | systemd | LVM2 on LUKS
Lenovo x270 | Intel(R) Core(TM) i5-7200U CPU @ 2.50GHz | Intel Wireless 8265/8275 | US keyboard w/ Euro | 512G NVMe INTEL SSDPEKKF512G7L

Offline

#3 2022-11-08 06:36:09

chuv
Member
Registered: 2022-10-22
Posts: 5

Re: Can't open terminal emulators on hyprland

Kitty is suggested by Hyprland as default terminal. It is bound to super+q, but this bind doesn't work for me. Super+m, for example, closes hyprland and works fine.

Offline

#4 2022-11-08 14:20:47

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 7,144

Re: Can't open terminal emulators on hyprland

But what do you exec from the tty which results in the error you posted?


CLI Paste | How To Ask Questions

Arch Linux | x86_64 | GPT | EFI boot | refind | stub loader | systemd | LVM2 on LUKS
Lenovo x270 | Intel(R) Core(TM) i5-7200U CPU @ 2.50GHz | Intel Wireless 8265/8275 | US keyboard w/ Euro | 512G NVMe INTEL SSDPEKKF512G7L

Offline

#5 2023-09-14 04:30:46

harryhanYuhao
Member
Registered: 2023-09-14
Posts: 1

Re: Can't open terminal emulators on hyprland

Try install gtk3 with `pacman -S gtk3`

Offline

#6 2023-09-14 07:10:00

seth
Member
Registered: 2012-09-03
Posts: 53,203

Re: Can't open terminal emulators on hyprland

Please don't necrobump.
Also where do you got the idea that kitty (silently) depends on gtk3?

Offline

#7 2023-09-14 09:27:49

once
Member
From: Taiwan
Registered: 2006-09-12
Posts: 266

Re: Can't open terminal emulators on hyprland

kitty is based on OpenGL-3.3, check it.

Offline

#8 2023-09-14 14:15:15

seth
Member
Registered: 2012-09-03
Posts: 53,203

Re: Can't open terminal emulators on hyprland

And how does GL 3.3 depend on gtk3?

Or, if this was a general remark reg. the topic, nb. that the OP hasn't  been active since January, but I'd start by running kitty from a TTY w/ proper "WAYLAND_DISPLAY" exported and see whether it complains about anything.

Offline

Board footer

Powered by FluxBB